Skip to main content
POST
/
v1
/
seller
/
order
/
cancellation
Request Order Cancellation
curl --request POST \
  --url https://scx-sbx.api.jtl-software.com/v1/seller/order/cancellation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel": "MYBESTDEALCOMDE",
  "orderCancellationRequestId": "82992d3a-b153-4422-b539-f4d1f1b4aecb",
  "sellerId": "4711",
  "orderId": "43523-43432-43532",
  "orderItem": [
    {
      "orderItemId": "5437233",
      "quantity": "2.0"
    }
  ],
  "cancelReason": "BUYER_CANCELLED",
  "message": "<string>"
}
'
{
  "errorList": [
    {
      "code": "VAL100",
      "message": "Required field sellerId not found",
      "severity": "error",
      "hint": "Check the field `sellerId` — it must be a non-empty string."
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL Customer Center. Usage format: Bearer <JWT>.

Body

application/json

Seller-initiated request to cancel one or more line items of an existing marketplace order.

Cancellation request the seller submits to the marketplace for an order, scoped to a specific channel.

channel
string
required

This is the unique Channel name.

Pattern: ^\w{5,15}$
Example:

"MYBESTDEALCOMDE"

orderCancellationRequestId
string<uuid>
required

A unique identifier for the order cancellation request. This ID should by used by Seller to identify the cancellation response from the Channel.

Example:

"82992d3a-b153-4422-b539-f4d1f1b4aecb"

sellerId
string
required

A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.

Pattern: ^\w{1,50}$
Example:

"4711"

orderId
string
required
Required string length: 1 - 150
Example:

"43523-43432-43532"

orderItem
OrderCancellationItem · object[] | null
required
Minimum array length: 1
cancelReason
enum<string>
  • BUYER_CANCELLED: the buyer cancelled the order.
  • UNDELIVERABLE_TO_SHIPPING_ADDRESS: Could not deliver to the address given by the buyer.
  • UNDELIVERABLE_BY_CARRIER: Carrier do not ship to the buyerss location.
  • OUT_OF_STOCK: The item is out of stock, for example because you are temporarily or permenantly sold out.
  • DELAYED_INVENTORY: The item is not in your inventory and there is a delay in delivery by the supplier.
  • PRICING_ERROR: The price on the connected marketplace was incorrect.
  • OTHER: Well, objvoiusly there is some reason missing in this list.
Available options:
BUYER_CANCELLED,
UNDELIVERABLE_TO_SHIPPING_ADDRESS,
UNDELIVERABLE_BY_CARRIER,
OUT_OF_STOCK,
DELAYED_INVENTORY,
PRICING_ERROR,
OTHER
message
string
Maximum string length: 1024

Response

Order Cancellation received.